<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.iot.mapper.PmWorkReportMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.iot.domain.PmWorkReport">
        <id column="id" property="id" />
        <result column="submitter_id" property="submitterId" />
        <result column="report_date" property="reportDate" />
        <result column="submit_date" property="submitDate" />
        <result column="total_hours" property="totalHours" />
        <result column="cc_to" property="ccTo" />
        <result column="coordinate_work" property="coordinateWork" />
        <result column="tomorrow_plan" property="tomorrowPlan" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="dept_id" property="deptId" />
        <result column="tenant_id" property="tenantId" />
    </resultMap>

</mapper>
